using System;

internal sealed class Delegate817 : MulticastDelegate
{
	public extern object Invoke(Type type_0, uint uint_0);

	public static object smethod_0(Type type_0, uint uint_0, Delegate817 delegate817_1)
	{
		return delegate817_1(type_0, uint_0);
	}

	public extern Delegate817(object object_0, IntPtr intptr_0);

	static Delegate817()
	{
		Class10.smethod_13(typeof(Delegate817).TypeHandle);
	}

	internal static Delegate817 delegate817_0;
}
